﻿Imports System.Net
Imports System.Net.Http
Imports System.Web.Script.Serialization

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        'Setting TLS 1.2 protocol.
        ServicePointManager.Expect100Continue = True
        ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls12

        'Fetch the JSON string from URL.
        Dim customers As List(Of Customer) = New List(Of Customer)()
        Dim apiUrl As String = "https://raw.githubusercontent.com/aspsnippets/test/master/Customers.json"

        Dim client As HttpClient = New HttpClient()
        Dim response As HttpResponseMessage = client.GetAsync(apiUrl).Result

        If response.IsSuccessStatusCode Then
            customers = New JavaScriptSerializer().Deserialize(Of List(Of Customer))(response.Content.ReadAsStringAsync().Result)
        End If
    End Sub

    Public Class Customer
        Public Property CustomerId As String
        Public Property Name As String
        Public Property Country As String
    End Class
End Class
